curl --request GET \
--url https://api.kajabi.com/v1/products/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "<string>",
"members_aggregate_count": 123,
"product_type_name": "<string>",
"product_type_id": 123,
"publish_status": "<string>",
"thumbnail_url": "<string>",
"url": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Show details of a product
Use the fields[products] parameter to request only specific attributes:
GET /v1/products/123?fields[products]=title,publish_statusResponse will only include the requested fields
{
"data": {
"id": "123",
"type": "products",
"attributes": {
"title": "Advanced Course",
"publish_status": "published"
},
"relationships": {}
}
}
curl --request GET \
--url https://api.kajabi.com/v1/products/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "<string>",
"members_aggregate_count": 123,
"product_type_name": "<string>",
"product_type_id": 123,
"publish_status": "<string>",
"thumbnail_url": "<string>",
"url": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Partial attributes as specified, e.g. fields[products]=title,publish_status
Was this page helpful?